VirtualRouterPool (OpenNebula Cloud API)
Description: declaration: package: org.opennebula.client.vrouter, class: VirtualRouterPool

Package org.opennebula.client.vrouter

# Class VirtualRouterPool

java.lang.Object
org.opennebula.client.Pool
org.opennebula.client.vrouter.VirtualRouterPool

All Implemented Interfaces:
  `Iterable<VirtualRouter>`

public class VirtualRouterPool extends Pool implements Iterable<VirtualRouter>
This class represents an OpenNebula VirtualRouter pool. It also offers static XML-RPC call wrappers.

- ## Field Summary

  ### Fields inherited from class org.opennebula.client.Pool

  `ALL, client, elementName, GROUP, infoMethod, MINE, MINE_GROUP, poolElements, xpath`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VirtualRouterPool(Client client)`
  Creates a new VirtualRouter pool with the default filter flag value set to `Pool.MINE_GROUP` (VirtualRouter belonging to the connected user, and the ones in his group)
  `VirtualRouterPool(Client client, int filter)`
  Creates a new VirtualRouter pool.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PoolElement`
  `factory(Node node)`
  The factory method returns a suitable PoolElement object from an XML node.
  `VirtualRouter`
  `getById(int id)`
  Returns the VirtualRouter with the given Id from the pool.
  `OneResponse`
  `info()`
  Loads the xml representation of all or part of the VirtualRouters in the pool.
  `OneResponse`
  `info(int filter, int startId, int endId)`
  Retrieves all or part of the VirtualRouters in the pool.
  `static OneResponse`
  `info(Client client, int filter)`
  Retrieves all or part of the VirtualRouters in the pool.
  `static OneResponse`
  `info(Client client, int filter, int startId, int endId)`
  Retrieves all or part of the VirtualRouters in the pool.
  `OneResponse`
  `infoAll()`
  Loads the xml representation of all the VirtualRouters in the pool.
  `static OneResponse`
  `infoAll(Client client)`
  Retrieves all the VirtualRouters in the pool.
  `OneResponse`
  `infoGroup()`
  Loads the xml representation of all the connected user's VirtualRouters and the ones in his group.
  `static OneResponse`
  `infoGroup(Client client)`
  Retrieves all the connected user's VirtualRouters and the ones in his group.
  `OneResponse`
  `infoMine()`
  Loads the xml representation of all the connected user's VirtualRouters.
  `static OneResponse`
  `infoMine(Client client)`
  Retrieves all the connected user's VirtualRouters.
  `Iterator<VirtualRouter>`
  `iterator()`

  ### Methods inherited from class org.opennebula.client.Pool

  `getLength, info, info, infoAll, infoGroup, infoGroupPrimary, infoMine, item, processInfo, xmlrpcInfo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### VirtualRouterPool

    public VirtualRouterPool(Client client)
    Creates a new VirtualRouter pool with the default filter flag value set to `Pool.MINE_GROUP` (VirtualRouter belonging to the connected user, and the ones in his group)
    Parameters:
      `client` - XML-RPC Client.
    See Also:
      - `VirtualRouterPool(Client, int)`

  - ### VirtualRouterPool

    public VirtualRouterPool(Client client, int filter)
    Creates a new VirtualRouter pool.
    Parameters:
      `client` - XML-RPC Client.
      `filter` - Filter flag to use by default in the method `info()`. Possible values:
      - `Pool.ALL`: All VirtualRouters
      - `Pool.MINE`: Connected user's VirtualRouters
      - `Pool.MINE_GROUP`: Connected user's VirtualRouters, and the ones in his group
      - `Pool.GROUP`: User's primary group VirtualRouters
      - >= 0 UID User's VirtualRouters

- ## Method Details

  - ### factory

    public PoolElement factory(Node node)
    Description copied from class: `Pool`
    The factory method returns a suitable PoolElement object from an XML node. Each Pool must implement the corresponding factory method.
    Specified by:
      `factory` in class `Pool`
    Parameters:
      `node` - XML Dom node to build the PoolElement from
    Returns:
      The corresponding PoolElement

  - ### info

    public static OneResponse info(Client client, int filter)
    Retrieves all or part of the VirtualRouters in the pool.
    Parameters:
      `client` - XML-RPC Client.
      `filter` - Filter flag to use. Possible values:
      - `Pool.ALL`: All VirtualRouters
      - `Pool.MINE`: Connected user's VirtualRouters
      - `Pool.MINE_GROUP`: Connected user's VirtualRouters, and the ones in his group
      - `Pool.GROUP`: User's primary group VirtualRouters
      - >= 0 UID User's VirtualRouters
    Returns:
      If successful the message contains the string with the information returned by OpenNebula.

  - ### infoAll

    public static OneResponse infoAll(Client client)
    Retrieves all the VirtualRouters in the pool.
    Parameters:
      `client` - XML-RPC Client.
    Returns:
      If successful the message contains the string with the information returned by OpenNebula.

  - ### infoMine

    public static OneResponse infoMine(Client client)
    Retrieves all the connected user's VirtualRouters.
    Parameters:
      `client` - XML-RPC Client.
    Returns:
      If successful the message contains the string with the information returned by OpenNebula.

  - ### infoGroup

    public static OneResponse infoGroup(Client client)
    Retrieves all the connected user's VirtualRouters and the ones in his group.
    Parameters:
      `client` - XML-RPC Client.
    Returns:
      If successful the message contains the string with the information returned by OpenNebula.

  - ### info

    public static OneResponse info(Client client, int filter, int startId, int endId)
    Retrieves all or part of the VirtualRouters in the pool. The VirtualRouters to retrieve can be also filtered by Id, specifying the first and last Id to include.
    Parameters:
      `client` - XML-RPC Client.
      `filter` - Filter flag to use. Possible values:
      - `Pool.ALL`: All VirtualRouters
      - `Pool.MINE`: Connected user's VirtualRouters
      - `Pool.MINE_GROUP`: Connected user's VirtualRouters, and the ones in his group
      - `Pool.GROUP`: User's primary group VirtualRouters
      - >= 0 UID User's VirtualRouters
      `startId` - Lowest Id to retrieve
      `endId` - Biggest Id to retrieve
    Returns:
      If successful the message contains the string with the information returned by OpenNebula.

  - ### info

    public OneResponse info()
    Loads the xml representation of all or part of the VirtualRouters in the pool. The filter used is the one set in the constructor.
    Overrides:
      `info` in class `Pool`
    Returns:
      If successful the message contains the string with the information returned by OpenNebula.
    See Also:
      - `info(Client, int)`

  - ### infoAll

    public OneResponse infoAll()
    Loads the xml representation of all the VirtualRouters in the pool.
    Overrides:
      `infoAll` in class `Pool`
    Returns:
      If successful the message contains the string with the information returned by OpenNebula.

  - ### infoMine

    public OneResponse infoMine()
    Loads the xml representation of all the connected user's VirtualRouters.
    Overrides:
      `infoMine` in class `Pool`
    Returns:
      If successful the message contains the string with the information returned by OpenNebula.

  - ### infoGroup

    public OneResponse infoGroup()
    Loads the xml representation of all the connected user's VirtualRouters and the ones in his group.
    Overrides:
      `infoGroup` in class `Pool`
    Returns:
      If successful the message contains the string with the information returned by OpenNebula.

  - ### info

    public OneResponse info(int filter, int startId, int endId)
    Retrieves all or part of the VirtualRouters in the pool. The VirtualRouters to retrieve can be also filtered by Id, specifying the first and last Id to include.
    Overrides:
      `info` in class `Pool`
    Parameters:
      `filter` - Filter flag to use. Possible values:
      - `Pool.ALL`: All VirtualRouters
      - `Pool.MINE`: Connected user's VirtualRouters
      - `Pool.MINE_GROUP`: Connected user's VirtualRouters, and the ones in his group
      - `Pool.GROUP`: User's primary group VirtualRouters
      - >= 0 UID User's VirtualRouters
      `startId` - Lowest Id to retrieve
      `endId` - Biggest Id to retrieve
    Returns:
      If successful the message contains the string with the information returned by OpenNebula.

  - ### iterator

    public Iterator<VirtualRouter> iterator()
    Specified by:
      `iterator` in interface `Iterable<VirtualRouter>`

  - ### getById

    public VirtualRouter getById(int id)
    Returns the VirtualRouter with the given Id from the pool. If it is not found, then returns null. The method `info()` must be called before.
    Overrides:
      `getById` in class `Pool`
    Parameters:
      `id` - of the ACl rule to retrieve
    Returns:
      The VirtualRouter with the given Id, or null if it was not found.